function main_PathMqttToMsSql_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MqttToMsSqlSecondPage();
	Class.NoConfirmButton();
	Class = null;
}

function main_MqttToMsSql_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMqttToMsSql_click(this)");
	Class = new LoadHtml();
	var Html = Class.GetVariableTranslationHtml(Global_MqttToMsSqlCss);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMsSqlUpdatePageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMsSqlFirstPageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMsSqlSecondPageHtml);
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MqttToMsSqlUpdatePage();
	Class.Initialization();
	Class = null;
}
function main_MqttToMsSqlSetConnectionName_click(that)
{
	var Class = new MqttToMsSqlFirstPage();
	Class.SetConnectionName(that);
	Class = null;
}
function main_MqttToMsSqlSaveButton_click(that)
{
	var Class = new MqttToMsSqlFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_MqttToMsSqlChangeCheckbox_click(that)
{
	var Class = new MqttToMsSqlFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_MqttToMsSqlEditButton_click(that)
{
	var Class = new MqttToMsSqlFirstPage();
	Class.EditButton(that);
	Class = null;	
}
function main_MqttToMsSqlShowNextPage_click()
{
	var Class = new MqttToMsSqlFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MqttToMsSqlShowPreviousPage_click()
{
	var Class = new MqttToMsSqlFirstPage();
	Class.ShowPreviousPage();
	Class = null;	
}
function main_MqttToMsSqlChangeAllCheckbox_click(that)
{
	var Class = new MqttToMsSqlFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_MqttToMsSqlConfirmButton_click(that)
{
	var Class = new MqttToMsSqlSecondPage();
	Class.ConfirmButton(that);
	Class = null;	
}
function main_MqttToMsSqlNoConfirmButton_click(that)
{
	var Class = new MqttToMsSqlSecondPage();
	Class.NoConfirmButton(that);
	Class = null;	
}
function main_MqttToMsSqlShowColumn_click()
{
	var Class = new MqttToMsSqlSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_MqttToMsSqlHideColumn_click()
{
	var Class = new MqttToMsSqlSecondPage();
	Class.HideColumn();
	Class = null;
}